Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 205826 - CVE-2006-4600 openldap improper selfwrite access
Summary: CVE-2006-4600 openldap improper selfwrite access
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openldap
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jay Fenlason
QA Contact: Jay Turner
URL:
Whiteboard: reported=20060906,source=cve,impact=l...
Depends On:
Blocks: 234222
TreeView+ depends on / blocked
 
Reported: 2006-09-08 19:33 UTC by Josh Bressers
Modified: 2015-01-08 00:14 UTC (History)
5 users (show)

Fixed In Version: RHSA-2007-0310
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-01 17:28:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0310 normal SHIPPED_LIVE Low: openldap security update 2007-05-01 17:28:23 UTC

Description Josh Bressers 2006-09-08 19:33:19 UTC
openldap improper selfwrite access

The way openldap handles selfwrite access is broken.  Users with
selfwrite access should only be able to add/remove their own DN to the
target, but via this bug any DN may be modified.

This was fixed upstream in version 2.3.25
http://www.openldap.org/its/index.cgi/Software%20Bugs?id=4587
http://secunia.com/advisories/21721/

A reproducer can be found here:
http://www.openldap.org/devel/cvsweb.cgi/tests/scripts/test006-acls?hideattic=1&sortbydate=0


This issue also affects RHEL3
This issue also affects RHEL2.1

Comment 2 RHEL Product and Program Management 2006-09-08 20:02:53 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 9 Red Hat Bugzilla 2007-05-01 17:28:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0310.html



Note You need to log in before you can comment on or make changes to this bug.